Summary:	Multiple stacked system monitors: 1 process.
Name:		gkrellm
Version:	1.0.6
Release:        1
Copyright:	GPL
Group:		Applications/System
Source:		http://web.wt.net/~billw/gkrellm/gkrellm-%{version}.tar.gz
Requires:	gtk+ >= 1.2, glib >= 1.2, imlib
BuildRoot:	/var/tmp/gkrellm-root

%description
GKrellM charts SMP CPU, load, Disk, and all active net interfaces
automatically. An on/off button and online timer for the PPP interface
is provided. Monitors for memory and swap usage, file system, internet
connections, APM laptop battery, mbox style mailboxes, and cpu temps.
Also includes an uptime monitor, a hostname label, and a clock/calendar.
Additional features are:

  * Autoscaling grid lines with configurable grid line resolution.
  * LED indicators for the net interfaces.
  * A gui popup for configuration of chart sizes and resolutions.

%prep
%setup -q 

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin

install -m0755 src/gkrellm $RPM_BUILD_ROOT/usr/X11R6/bin
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT Changelog README Themes
%doc INSTALL gkrellmrc
/usr/X11R6/bin/gkrellm
#/usr/include/gkrellm/gkrellm.h
#/usr/include/gkrellm/gkrellm_public_proto.h
#/usr/include/gkrellm/gkrellm_private_proto.h

%changelog
* Wed Jan 31 2001 Tim Powers <timp@redhat.com>
- updated to 1.0.6

* Fri Jan 19 2001 Karsten Hopp <karsten@redhat.de>
- upgrade to 1.0.4 which fixes -geometry placement
  and adds support for lm_sensors

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Mon Nov 13 2000 Karsten Hopp <karsten@redhat.de>
- update to version 1.0.1:
- fstab mounting check fixed
- gtk_set_locale fixed
- fixed MUA button

* Sat Oct 14 2000 Karsten Hopp <karsten@redhat.de>
- update to version 1.0.0

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri May 26 2000 Ngo Than <than@redhat.de>
- rmove header files
- fix group

* Fri May 19 2000 Karsten Hopp <Karsten.Hopp@redhat.de>
- added to Powertools

* Thu Apr 6 2000 Bill Wilson
- added INCLUDEDIR to the make install

* Fri Oct 29 1999 Gary Thomas <gdt@linuxppc.org>
- .spec file still broken

* Thu Oct 7 1999 David Mihm <davemann@ionet.net>
- fixed spec.
